Audits
Get framework codes for an audit
Retrieves all valid framework codes for the specified audit. This endpoint helps users discover which framework codes are available for creating and updating information requests for this audit.
Use this endpoint to:
- Discover available framework codes (
frameworkCodes, the original flat list) - Validate framework codes against the audit’s frameworks
- See which codes belong to which in-scope framework (
codesByFramework)
Rate limit: 50 requests / minute.
GET
/
audits
/
{auditId}
/
framework-codes
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.getFrameworkCodes({
auditId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.GetFrameworkCodesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetFrameworkCodesResponse res = sdk.audits().getFrameworkCodes()
.auditId("<id>")
.call();
if (res.frameworkCodes().isPresent()) {
System.out.println(res.frameworkCodes().get());
}
}
}curl --request GET \
--url https://api.vanta.com/v1/audits/{auditId}/framework-codes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/audits/{auditId}/framework-codes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/audits/{auditId}/framework-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"frameworkCodes": [
"164.308",
"164.312",
"164.314",
"CC1.1",
"CC1.2",
"CC1.3",
"CC2.1",
"CC2.2",
"CC3.1",
"CC3.2",
"CC4.1",
"CC4.2",
"CC5.1",
"CC5.2",
"CC6.1",
"CC6.2",
"CC7.1",
"CC7.2",
"CC8.1",
"CC8.2"
],
"codesByFramework": [
{
"framework": "SOC 2 Type II",
"codes": [
"CC1.1",
"CC1.2",
"CC1.3",
"CC2.1",
"CC2.2",
"CC3.1",
"CC3.2",
"CC4.1",
"CC4.2",
"CC5.1",
"CC5.2",
"CC6.1",
"CC6.2",
"CC7.1",
"CC7.2",
"CC8.1",
"CC8.2"
]
},
{
"framework": "HIPAA",
"codes": [
"164.308",
"164.312",
"164.314"
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Ok
Framework codes response resource
Valid framework codes for this audit.
Valid codes grouped by each distinct in-scope framework. A code that exists
on two frameworks appears in both groups. Two segments that share a
framework contribute one group. framework is the display name.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.getFrameworkCodes({
auditId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.GetFrameworkCodesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetFrameworkCodesResponse res = sdk.audits().getFrameworkCodes()
.auditId("<id>")
.call();
if (res.frameworkCodes().isPresent()) {
System.out.println(res.frameworkCodes().get());
}
}
}